I am already giving a list to the displayShape ... What else can I do to
display the pts in "one go" ??
Furthermore, I am talking about the Viewport performances (Zoom Pan Rotate),
does it have sthg to do with the DisplayShape Function ? I guess not ...
----------------------
CODE
    pt = gp_Pnt ( coord_x, coord_y, coord_z )
     pt_brep = BRepBuilderAPI_MakeVertex ( pt )
    liste.append ( pt_brep.Shape() )

 display.DisplayShape( liste , update=False)
-----------------------
Regards

On Thu, Dec 16, 2010 at 10:42 PM, Jelle Feringa <jelleferi...@gmail.com>wrote:

> >  other CADs read the same file of 20 000 pts and zoom pan rotate like if
> it was a single cube.
>
> When performance degradation is so extreme, than try to think what's wrong
> with _your_ code rather than pyocc's.
> Its just rude to imply that pyocc wouldnt be able to display 20k pnts ;)
>
> I explained this before; you are redrawing the viewport each time a vertex
> is added. Just add all points in one go and you're fine.
> pyocc test whether you supply an iterable or single TopoDS_* instance as an
> argument.
>
> Check all the relevant additional argument you can supply to the display of
> an object.
>
> -jelle
>
>
>
>
> _______________________________________________
> Pythonocc-users mailing list
> Pythonocc-users@gna.org
> https://mail.gna.org/listinfo/pythonocc-users
>
>
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to